Subject: FVWM: Baffled by Window Placement

From: "Matthew W. Roberts" <[email-masked]>
Date: Tue, 9 Nov 1999 22:29:34 -0600

Hi,

I recently installed the `potato' version of fvwm on my Debian box:  

% fvwm -version
[FVWM][main]:  Fvwm Version 2.2.3 compiled on Nov  2 1999 at 23:50:00

I had been running 2.0.46 before.

Now it seems that I can't get windows to come up where I want them
to.  I had been starting Netscape on another page by doing this:

AddToFunc InitFunction ...
...
+   "I" Exec /usr/X11R6/bin/netscape -geometry 711x563+877+609
...

Which put it on  page 1 1 on my 800x600 screen.  Now it is coming
up on page 0 0.

I've tried SmartPlacement, RandomPlacement, SmartPlacement *and*
RandomPlacement, and even SmartPlacementIsReallySmart, but I can't
seem to get the behavior I want.

I'm sorry if this is a silly question, but I've scoured the man
page and searched deja.com in vain.  Any help is greatly appreciated.

--
Matthew Roberts
----------------------------------------------------------------
Structural Engineering                          [email-masked]
Texas A&M University                        
----------------------------------------------------------------

A lot of people are afraid of heights.  Not me.  I'm afraid of widths.
   -- Steven Wright

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Michael Han <[email-masked]>
Date: Tue, 09 Nov 1999 22:26:14 -0800

Previously...
>to.  I had been starting Netscape on another page by doing this:

Why not use the StartsOnPage Style? I'm pretty sure it's present in
2.2.x. If not, insert the big spiel about 2.3 betas and the
anticipated 2.4 version here. With StartsOnPage, you get to change the

>+   "I" Exec /usr/X11R6/bin/netscape -geometry 711x563+877+609

+   "I" Exec /usr/X11R6/bin/netscape -geometry 711x563+77+9

assuming you have:

Style "Netscape" StartsOnPage 0 1 1

Read the man page for further info. There are some gotchas to using
StartsOnPage... some GlobalOpts you might consider setting, some
placement Styles you want to be using.
-- 
[email-masked]                         http://www.best.com/~mikehan/
coffee achiever                              San Francisco, California
"James Joyce doesn't have a car. Thirteen doesn't have a number."
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 10 Nov 1999 12:00:54 +0100

> page and searched deja.com in vain.  Any help is greatly appreciated.

The reason is a netscape bug. When you start netscape with an
explicit geometry, it still claims that the position is
'program specified' instead of 'user specified'. Usually fvwm
is set up to ignore all program specified positions. You can
disable this feature with the 'UsePPosistion' style:

  Style Navigator* UsePPosition

you may have to remove the 'NoPPosition' style from your config
file too. However, I'd recommend that you use one of the
StartsOn... styles instead.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].